Bug 973046 - Missing transitive dependencies in WFK-2.3.0.ER1 maven repository
Missing transitive dependencies in WFK-2.3.0.ER1 maven repository
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Maven (Show other bugs)
2.3.0
Unspecified Unspecified
urgent Severity high
: ---
: 2.4.0
Assigned To: Marek Novotny
thradec
:
Depends On: 920680
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 03:18 EDT by thradec
Modified: 2016-07-31 21:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 11:42:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Snowdrop dependency tree (34.82 KB, text/plain)
2013-06-11 04:54 EDT, Marek Novotny
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-26 Major Closed Missing transitive dependencies in WFK-2.3.0.ER1 maven repository 2016-05-11 09:44 EDT

  None (edit)
Description thradec 2013-06-11 03:18:44 EDT
Missing transitive dependencies:

in org.jboss.aop:jboss-aop:jar:2.0.1.GA
	- apache-xerces:xml-apis:jar:2.9.1
	- trove:trove:jar:2.1.1

in org.richfaces.core:richfaces-core-impl:jar:4.3.2.Final-redhat-1
	- org.slf4j:jcl-over-slf4j:jar:1.6.1-redhat-2
Comment 1 Marek Novotny 2013-06-11 04:53:05 EDT
1. org.jboss.snowdrop:snowdrop-deployers-core:jar:2.0.5.Final-redhat-2 requires org.jboss.aop:jboss-aop:jar:2.0.1.GA and that is pulled from JBoss repository. apache-xerces:xml-apis:jar:2.9.1 is not used in any snowdrop modules look at attached dependency:tree output. There is only xml-apis:xml-apis:1.3.04 which is in Maven Central http://search.maven.org/#artifactdetails%7Cxml-apis%7Cxml-apis-ext%7C1.3.04%7Cjar


2. trove:trove:jar:2.1.1 will be added into WFK repository

3. org.slf4j:jcl-over-slf4j:jar:1.6.1-redhat-2 is pulled from org.apache.james:apache-mime4j:0.6-redhat-2, which manages old version of slf4j-api (this is already filed in EAP bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=920680). I will add new dependency management for org.slf4j.* artifacts to use 1.7.2-redhat-1
Comment 2 Marek Novotny 2013-06-11 04:54:50 EDT
Created attachment 759481 [details]
Snowdrop dependency tree

This is full dependency tree list for Snowdrop, as it is not including apache-apache-xerces:xml-apis:jar:2.9.1
Comment 3 Marek Novotny 2013-06-11 05:52:47 EDT
Evidence of trove/trove/1.0.2 were added nothing else is in MEAD online repository so the reported missing trove:trove:jar:2.1.1 is not correct - 
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/WFK/view/WFK-2.3-CI/job/JBoss-WFK-2.3.x-Maven-Repository/ws/jboss-wfk-2.3.0.CR1-maven-repository/

Look at http://download.devel.redhat.com/brewroot/repos/jb-wfk-2-rhel-6-build/latest/maven/trove/trove/ . There are no 2.1.1 version. Please check your verification tool.
Comment 5 Marek Novotny 2013-06-20 15:56:46 EDT
this issue depends on EAP 6.1.0 bug https://bugzilla.redhat.com/show_bug.cgi?id=920680 and planned work for Snowdrop for WFK 2.4.0
Comment 7 Pete Muir 2013-07-16 11:42:25 EDT
Migrated to JIRA
Comment 8 JBoss JIRA Server 2013-07-30 14:36:17 EDT
Rodney Russ <rruss@redhat.com> made a comment on jira WFK2-26

Can this go in 2.4 [~manaRH] ?
Comment 9 JBoss JIRA Server 2013-07-31 03:31:47 EDT
Marek Novotny <mnovotny@redhat.com> made a comment on jira WFK2-26

[~rruss] partially, richfaces transitive dependency issue relies on EAP fix, which won't be available for WFK 2.4. We can only workaround it.

org.jboss.aop:jboss-aop:jar:2.0.1.GA issue is related to snowdrop refactoring and get rid off EAP5 dependencies in https://issues.jboss.org/browse/WFK2-42

Note You need to log in before you can comment on or make changes to this bug.